Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.transform
Class EbXML_2_1SubmissionSetTransformer

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.transform.EbXML_2_1SubmissionSetTransformer

All Implemented Interfaces:
  SubmissionSetTransformer

    public class EbXML_2_1SubmissionSetTransformer

extends java.lang.Object
implements SubmissionSetTransformer

Class containing utility methods to transform XDS submission set metadata to ebRIM 2.1 elements.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Transformer

Constructor Summary
`EbXML_2_1SubmissionSetTransformer()` Creates the transformer.

Method Summary
`AssociationType1[]` | `getAssociatedDocuments()` Returns a list AssociationType1 containing the entryUUIDs of the associated with this submission set, if any.
`AssociationType1[]` | `getAssociatedFolders()` Returns a list AssociationType1 containing the entryUUIDs of the folders associated with this submission set, if any.
`RegistryPackageType` | `getRegistryPackage()` Returns the RegistryPackageType containing the submission set metadata values.
`void` | `transform(SubmissionSetType subSet)` Renders an RegistryPackageType containing the submission set metadata values of the parameter, formatted in ebXML

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Transformer

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_2_1SubmissionSetTransformer

    public EbXML_2_1SubmissionSetTransformer()

  Creates the transformer.

Method Detail

### getRegistryPackage

    public RegistryPackageType getRegistryPackage()

  Returns the RegistryPackageType containing the submission set metadata values. Returns null if the transformation has not been executed, or had failed.

  Returns:
    the setData

### getAssociatedDocuments

    public AssociationType1[] getAssociatedDocuments()

  Returns a list AssociationType1 containing the entryUUIDs of the associated with this submission set, if any. Returns null if the transformation has not been executed, has failed, or no documents are in this folder.

  Returns:
    the documentsInSubmissionSet

### getAssociatedFolders

    public AssociationType1[] getAssociatedFolders()

  Returns a list AssociationType1 containing the entryUUIDs of the folders associated with this submission set, if any. Returns null if the transformation has not been executed, has failed, or no documents are in this folder.

  Returns:
    the documentsInSubmissionSet

### transform

    public void transform(SubmissionSetType subSet)
                   throws MetadataTransformationException

  Renders an RegistryPackageType containing the submission set metadata values of the parameter, formatted in ebXML

  Specified by:
    `transform` in interface `SubmissionSetTransformer`
  Throws:
    `MetadataTransformationException`
  See Also:
    `SubmissionSetTransformer.transform(org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD